<?
$sub_menu	= "400600";			//-- kcp 결제 관리 13. 12. 25
include_once("./_common.php");
auth_check($auth[$sub_menu], "r");
$token		= get_token();
$adm_sub_path	= true;			//-- 관리 디렉토리가 adm/sub.dir처럼 adm 하위에 있을 때 admin.head.php에서 경로 따로 지정

$g4[title]	= "KCP 관리";
include_once("../admin.head.php");
include_once("./config.php");

if($zm_config[kcp_pay_way] == "1")	$pay_chk1	= "checked";					//-- 일반 결제
else								$pay_chk2	= "checked";					//-- 에스크로 결제

if($zm_config[kcp_afilliate_use] == "real")	$afilliate_chk2	= "checked";		//-- 가맹점 실사용 아이디
else										$afilliate_chk1	= "checked";		//-- 가맹점 테스트 아이디

if($zm_config[kcp_plugin] == "plugin_test_http")		$plugin_chk1 = "checked";	//-- 테스트용 플러그인
elseif($zm_config[kcp_plugin] == "plugin_test_https")	$plugin_chk2 = "checked";	//-- 테스트용 보안 플러그인
elseif($zm_config[kcp_plugin] == "plugin_real_http")	$plugin_chk3 = "checked";	//-- 실사용 플러그인
elseif($zm_config[kcp_plugin] == "plugin_real_https")	$plugin_chk4 = "checked";	//-- 실사용 보안 플러그인

if(!$zm_config[kcp_test_id])	$zm_config[kcp_test_id] = "T000";
if(!$zm_config[kcp_skin_type])	$zm_config[kcp_skin_type] = "1";

?>
<link href="style.css" type="text/css" rel="stylesheet">

<form name="kcp_form" method="post" onsubmit="return send_kcp(this)" enctype="multipart/form-data">
<input type="hidden" name="mode" value="update">
<div class="h_title">KCP 결제 방법 선택</div>
<ul class="item_list">
	<li class="item"><input type="radio" name="kcp_pay_way" value="1" <?=$pay_chk1?> onclick="adjust_payway(1)"> 일반 결제</li>
	<li class="item_right">KCP에서 제공하는 기본결제 방식</li>
</ul>
<ul class="item_list">
	<li class="item"><input type="radio" name="kcp_pay_way" value="2" <?=$pay_chk2?> onclick="adjust_payway(2)"> 에스크로 결제</li>
	<li class="item_right">KCP에서 제공하는 에스크로 결제 방식을 사용하기 위해서는 KCP에 별도로 에스크로 신청을 해야 함. (<a href="http://kcp.co.kr" target="_blank">kcp.co.kr</a>)</li>
</ul>
<p>
<div class="h_title">KCP 가맹점 아이디</div>
<ul class="item_list">
	<li class="item"><input type="radio" name="kcp_afilliate_use" value="test" <?=$afilliate_chk1?> onclick="kcp_adjust(this)"> 테스트 아이디</li>
	<li class="item_right"><input name="kcp_test_id" id="kcp_test_id" value="<?=$zm_config[kcp_test_id]?>"></li>
</ul>
<ul class="item_list">
	<li class="item"><input type="radio" name="kcp_afilliate_use" value="real" <?=$afilliate_chk2?> onclick="kcp_adjust(this)"> 실사용 아이디</li>
	<li class="item_right"><input name="kcp_real_id" id="kcp_real_id" value="<?=$zm_config[kcp_real_id]?>"> 실제로 결제가 이루어짐</li>
</ul>
<p>
<div class="h_title">가맹점 사이트 정보</div>
<ul class="item_list">
	<li class="item">사이트 이름</li>
	<li class="item_right"><input name="kcp_site_name" id="kcp_site_name" value="<?=$zm_config[kcp_site_name]?>" size="40"> 영문만 가능. KCP 결제 프로그램에 보여질 사이트 또는 회사 이름.
		<input type="button" value="예제 보기" onclick="window.open('<?=$g4[admin_path]?>/zm.kcp/img/pay_window.gif', 'kcp', 'width=658, height=268, scrollbars=0, toolbar=0')"></li>
</ul>
<ul class="item_list">
	<li class="item">사이트 로고<br>&nbsp;</li>
	<li class="item_right"><input type="file" name="kcp_site_logo" value="<?=$zm_config[kcp_site_logo]?>" size="24">
	<input type="checkbox" value="1" name="kcp_site_logo_del">삭제. KCP 결제 프로그램에 보여질 회사 로고. 로고를 등록하면 사이트 이름은 무시 됨. 로고 크기 : 150 X 50  <? if($zm_config[kcp_site_logo]) : ?><input type="button" value="등록된 로고 보기" onclick="window.open('<?=$zm_config[kcp_site_logo]?>', 'kcp', 'width=170, height=70, scrollbars=0, toolbar=0')"><? endif; ?></li>
</ul>
<ul class="item_list">
	<li class="item">결제창 스킨</li>
	<li class="item_right"><select name="kcp_skin_type">
<?	for($i = 1; $i < 11; $i++) :
		if($zm_config[kcp_skin_type] == $i) $str_skin_sel = "selected"; else $str_skin_sel = "";
?>
		<option value="<?=$i?>" <?=$str_skin_sel?>><?=$i?>번 타입</option>
<?	endfor; ?>
	</select>
	KCP 결제 프로그램 스킨
	<input type="button" value="스킨 보기" onclick="window.open('<?=$g4[admin_path]?>/zm.kcp/img/skin_type.gif', 'kcp', 'width=670, height=820, scrollbars=0, toolbar=0')"></li>
</ul>
<ul class="item_list">
	<li class="item">실사용 사이트 키</li>
	<li class="item_right"><input name="kcp_site_key_input" id="kcp_site_key_input" size="40" autocomplete=off>
		<input type="hidden" name="kcp_site_key" id="kcp_site_key" value="<?=$zm_config[kcp_site_key]?>"> KCP에 실사용 등록하고 부여 받은 키. 실사용일 때만 등록. <b>현재 사이트 키:<?=($zm_config[kcp_site_key])?substr($zm_config[kcp_site_key], 0, 15)."********":"아직 등록되지 않음"?>.</b></li>
</ul>
<p>
<div class="h_title">플러그인 선택 (UTF-8)</div>
<ul class="item_list p_test">
	<li class="item"><input type="radio" name="kcp_plugin" value="plugin_test_http" <?=$plugin_chk1?>> 테스트용 플러그인</li>
	<li class="item_right">http://.../plugin/payplus_<b>test</b>_un.js</li>
</ul>
<ul class="item_list p_test">
	<li class="item"><input type="radio" name="kcp_plugin" value="plugin_test_https" <?=$plugin_chk2?>> 테스트용 보안 플러그인</li>
	<li class="item_right"><b>https</b>://.../plugin/payplus_<b>test</b>_un.js</li>
</ul>
<ul class="item_list p_real">
	<li class="item"><input type="radio" name="kcp_plugin" value="plugin_real_http" <?=$plugin_chk3?>> 실사용 플러그인</li>
	<li class="item_right">http://.../plugin/payplus_un.js</li>
</ul>
<ul class="item_list p_real">
	<li class="item"><input type="radio" name="kcp_plugin" value="plugin_real_https" <?=$plugin_chk4?>> 실사용 보안 플러그인</li>
	<li class="item_right"><b>https</b>://.../plugin/payplus_un.js</li>
</ul>
<p>
<div class="h_title">결제 환경</div>
<ul class="item_list">
	<li class="item">할부가능 개월</li>
	<li class="item_right"><select name="kcp_quotaopt">
<?	for($i = 0; $i <= 12; $i++) :
		if($i == $zm_config[kcp_quotaopt]) $str_sel = "selected"; else $str_sel = "";
?>
		<option value="<?=$i?>" <?=$str_sel?>><?=$i?>개월</option>
<?	endfor; ?>
	</select> 최대 할부 개월 수. 0개월은 일시불만 지원. ex)6개월을 선택하면 고객은 일시불, 1 ~ 6개월까지 할부 계산 가능</li>
</ul>
<ul class="item_list">
	<li class="item">복지 포인트 가입 코드</li>
	<li class="item_right"><input name="kcp_pt_memcorp_cd" value="<?=$zm_config[kcp_pt_memcorp_cd]?>"> 베네피아(SK M&C)에서 발급한 회원 소속사 코드. 베네피아 복지포인트 사용 시 입력. ex)A000</li>
</ul>
<ul class="item_list">
	<li class="item">OK 캐쉬백</li>
	<li class="item_right"><select name="kcp_save_ocb">
<?	if($zm_config[kcp_save_ocb] == "Y") $str_ocb_sel1 = "selected"; else $str_ocb_sel2 = "selected";
?>
	<option value="Y" <?=$str_ocb_sel1?>>사용</option>
	<option value="N" <?=$str_ocb_sel2?>>사용 안함</option>
	</select></li>
</ul>
<ul class="item_list">
	<li class="item">신용카드 결제 종류</li>
	<li class="item_right"><select name="kcp_complex_pnt_yn">
<?	if($zm_config[kcp_complex_pnt_yn] == "Y") $str_pnt_sel1 = "selected"; else $str_pnt_sel2 = "selected";
?>
	<option value="Y" <?=$str_pnt_sel1?>>포인트 + 신용카드</option>
	<option value="N" <?=$str_pnt_sel2?>>포인트</option>
	</select> < ! > 포인트 : 고객의 신용카드에 누적 된 포인트로만 결제 가능. 기본 값은 [포인트 + 신용카드]</li>
</ul>
<ul class="item_list">
	<li class="item">현금 영수증 출력</li>
	<li class="item_right"><select name="kcp_disp_tax_yn">
<?	if($zm_config[kcp_disp_tax_yn] == "Y") $str_disp_sel1 = "selected"; else $str_disp_sel2 = "selected";
?>
	<option value="Y" <?=$str_disp_sel1?>>사용</option>
	<option value="N" <?=$str_disp_sel2?>>사용 안함</option>
	</select> < ! > 계좌이체, 가상계좌 이용 시에만 해당. 현금영수증 사용 시 KCP 상점관리자 페이지에서 현금영수증 사용 동의해야 함.</li>
</ul>
<ul class="item_list">
	<li class="item">기타 설정</li>
	<li class="item_right">결제 방식, 할부 조건, 무이자 이벤트 등 세부적인 서비스는 KCP 상점관리 사이트에서 변경 하시면 별다른 조작 없이 결제 창에 바로 적용 됨</li>
</ul>
<div class="config_btn"><input type="submit" value="KCP 환경설정 적용" class="bttn_adj"></div>
</form>


<script>
function kcp_adjust(th){
	if(th.value == "test") {
		alert("KCP의 테스트용 플러그인을 적용하며 실제 결제가 이루어 지지는 않습니다.");
		$("ul.p_real input").attr("checked", false);
		$("ul.p_test").css("display", "block");
		$("ul.p_real").css("display", "none");
	}else if(th.value == "real") {
		alert("KCP의 실사용 플로그인을 적용하며 실제 결제가 이루어집니다.\nKCP의 계약 내용과 가맹점 관리를 숙지한 상태에서 이용하시기 바랍니다.");
		$("ul.p_test input").attr("checked", false);
		$("ul.p_test").css("display", "none");
		$("ul.p_real").css("display", "block");
	}else{ return false;}
}

$(document).ready(function() {
	if($("input:radio[name=kcp_afilliate_use]:checked").val() == "test") {
		$("ul.p_test").css("display", "block");
		$("ul.p_real").css("display", "none");
	}else if($("input:radio[name=kcp_afilliate_use]:checked").val() == "real") {
		$("ul.p_test").css("display", "none");
		$("ul.p_real").css("display", "block");
	}
})

function send_kcp(f){
	if($("input:radio[name=kcp_afilliate_use]:checked").val() == "test"){
		if(!$("#kcp_test_id").val()) {
			alert("테스트 아이디가 없습니다.");
			$("#kcp_test_id").focus();
			return false;
		}
	}
	if($("input:radio[name=kcp_afilliate_use]:checked").val() == "real"){
		if(!$("#kcp_real_id").val()) {
			alert("실사용을 위한 가맹점 아이디가 없습니다.");
			$("#kcp_real_id").focus();
			return false;
		}
		if(!$("#kcp_site_key_input").val() && !$("#kcp_site_key").val()) {
			alert("사이트 키가 없습니다.");
			$("#kcp_site_key_input").focus();
			return false;
		}
	}
	if(!$("#kcp_site_name").val()){
		alert("사이트 이름이 없습니다.");
		$("#kcp_site_name").focus();
		return false;
	}

	if($.trim($("input:radio[name=kcp_plugin]:checked").val()) == "") {
		alert("사용하실 플러그인을 선택 해 주세요.");
		return false;
	}

	f.action	= "kcp_process.php";
	f.submit();
}

function adjust_payway(n){
	if(n == 1) {
		$("#kcp_test_id").val("T0000");
	}else{
		$("#kcp_test_id").val("T0007");
	}
}
</script>
<?
include_once("../admin.tail.php");
?>
